/*
 * InfoMethods.cs - Implementation of the "Platform.InfoMethods" class.
 *
 * Copyright (C) 2002, 2003  Southern Storm Software, Pty Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

namespace Platform
{

using System;
using System.Runtime.CompilerServices;

// Stripped down version of "runtime/Platform/InfoMethods.cs" to provide
// some of the functionality to "System.dll" as well.

internal class InfoMethods
{
	// Get the global configuration directory.
	[MethodImpl(MethodImplOptions.InternalCall)]
	extern public static String GetGlobalConfigDir();

	// Get the user storage directory (e.g. "$HOME/.cli").
	[MethodImpl(MethodImplOptions.InternalCall)]
	extern public static String GetUserStorageDir();

}; // class InfoMethods

}; // namespace Platform
